Subject: bug#41139: duplicate service provision error message is too terse

From: Ricardo Wurmus <[email-masked]>
Date: Fri, 08 May 2020 22:39:36 +0200

“guix system” prints a very terse error message when a display manager
is added on top of %desktop-services:

    guix system: error: service 'xorg-server' provided more than once

This is not very helpful, because it’s hard to tell how we got there.
Which of the selected services provide xorg-server?

It would be nice if the error message could be a little more helpful.

-- 
Ricardo